<?php
/*
 * Fruit Farm Auction module
 * Version: 0.1
 * Author: spam@onsky.ru
 *
 */

// Start session
session_start();

define("CONST_RUFUS", true);

// define autoload for classes
function __autoload($name){ include("classes/_class.".$name.".php");}

function get_user_level($user) {
    global $config;
	include 'classes/_class.db.php';
	db::connect(array('host'=>$config->HostDB, 'user'=>$config->UserDB, 'pass'=>$config->PassDB, 'db'=>$config->BaseDB));

    db::query("set names cp1251;");
    $prof_data = db::getRow("SELECT level FROM db_users_b WHERE user = ?s", $user);
    return $prof_data['level'];
}

// load config
$config = new config;

// connect to DB
include 'classes/_class.db.php';
db::connect(array('host'=>$config->HostDB, 'user'=>$config->UserDB, 'pass'=>$config->PassDB, 'db'=>$config->BaseDB));

db::query("set names cp1251;");

// get user ID from session
$usid = $_SESSION["user_id"];

// get user data
$user_data = db::getRow("SELECT * FROM db_users_b WHERE id = ?i LIMIT 1", $usid);

function get_auction_data() {
    $auction_data = db::getRow("SELECT *, TIME_TO_SEC(TIMEDIFF(now(),ctime)) as current_duration FROM db_auction LIMIT 1;");

    if ($auction_data['userid'] != null) {
        $user_info = db::getRow("SELECT * FROM db_users_a WHERE id=?i", $auction_data['userid']);
        $auction_data['user'] = $user_info['user'];
    }
    return $auction_data;
}

if ( $_POST['action'] == 'bid' ) {
    $_POST['value'] = round($_POST['value'], 2);
    // Get auction data
    $auction_data = get_auction_data();

    // If auction is in progress, then min bid is current_bid + 1
    if ($auction_data['current_bank'] != null)
        $min_bid = $auction_data['current_bid'] + 1;
    else
        $min_bid = $auction_data['min_bid'];

    if ($_POST['value'] < $min_bid) {
        echo json_encode(array('error' => '  '));
        exit;
    }

    if ($user_data['money_b'] < $_POST['value']) {
        echo json_encode(array('error' => '     '));
        exit;
    }

    // Add bid
    $new_bank = $auction_data['current_bank'] + $_POST['value'] / 100 * (100 - $auction_data['percent']);
    $new_bank = round($new_bank, 2);
    // Increase bank, reset auction duration
    db::query("UPDATE db_auction SET current_bank = ?i, current_bid = ?i, userid = ?i, ctime=now();", $new_bank, $_POST['value'], $usid);
    // Decrease user's money =)
    db::query("UPDATE db_users_b set money_b = money_b - ?i WHERE id=?i", $_POST['value'], $usid);
    exit;
}

if ( $_POST['action'] == 'getData' ) {
    $auction_data = get_auction_data();

    if ($auction_data['current_bank'] != null && $auction_data['current_duration'] >= $auction_data['duration']) {
        // Create history entry
        db::query("INSERT INTO db_auction_history (winner, bank) values (?s, ?i)", $auction_data['user'], $auction_data['current_bank']);
        // Give money to user
        db::query("UPDATE db_users_b set money_b = money_b + ?i WHERE id=?i", $auction_data['current_bank'], $auction_data['userid']);
        // Update auction data
        db::query("UPDATE db_auction SET current_bank = null, current_bid = null, userid = null;");
        $auction_data = get_auction_data();
    }

    echo json_encode($auction_data);
    exit;
}

if ( $_POST['action'] == 'getHistory' ) {
    $result = db::query("SELECT * FROM db_auction_history order by ctime desc LIMIT 50;");
    $results = array();
    while($auction_history = db::fetch($result)) {
        $results[] = $auction_history;
    }

    echo json_encode($results);
    exit;
}

if ( $_POST['action'] == 'getChat' ) {
    $smileys = array(
        '=)' => 'smile',
        ':)' => 'smile',
        ':-)' => 'smile',
        ':thumbs:' => 'THUMBS_UP',
        ':D' => 'laugh',
        ':dance:' => 'dance',
        ':(' => 'sadness',
        ':-(' => 'sadness',
        ':P' => 'tongue',
        ':-P' => 'tongue',
        'o_O' => 'wonder',
        'B-)' => 'dirol',
        'T_T' => 'cray',
        '\m/' => 'aggressive'
    );

	$result = db::query("SELECT * FROM db_auction_chat order by ctime desc limit 20");
    $results = array();
    while($message = db::fetch($result)) {
        $message['level'] = get_user_level($message['user']);
        $message['time_human'] = date('H:i:s', strtotime($message['ctime']));
        $message['message'] = htmlspecialchars($message['message']);
        foreach($smileys as $smiley => $image) {
            $smiley = str_replace('/', '\/', preg_quote($smiley));
            $message['message'] = preg_replace('/ '.$smiley.' /', '<img src="/img/smileys/'.$image.'.gif">', $message['message']);
            $message['message'] = preg_replace('/^'.$smiley.'$/', '<img src="/img/smileys/'.$image.'.gif">', $message['message']);
            $message['message'] = preg_replace('/^'.$smiley.' /', '<img src="/img/smileys/'.$image.'.gif">', $message['message']);
            $message['message'] = preg_replace('/ '.$smiley.'$/', '<img src="/img/smileys/'.$image.'.gif">', $message['message']);
        }
        $results[] = $message;
    }
    //$results = array_reverse($results);

    echo json_encode($results);
    exit;
}

if ( $_POST['action'] == 'chatSend' ) {
    if (strlen($_POST['message'])>400)
        $_POST['message'] = substr($_POST['message'], 0, 400);

    db::query("INSERT INTO db_auction_chat (user, message, vip) values (?s, ?s, ?i);", $user_data['user'], $_POST['message'], $_POST['vip']);

    $cost = 1;
    if ( $_POST['vip'] == 1 ) $cost = 5;
    db::query("UPDATE db_users_b set money_b = money_b - ?i WHERE id=?i", $cost, $usid);
    //echo json_encode(array('error' => $_POST['message']));
    echo json_encode(array(null));
    exit;
}