<div class="cl-right">
<?php
/*
 * Fruit Farm Auction module
 * Version: 0.1
 * Author: spam@onsky.ru
 *
 */

$_OPTIMIZATION["title"] = "";
$usid = $_SESSION["user_id"];

$user_data = db::getRow("SELECT * FROM db_users_b WHERE id = ?i LIMIT 1", $usid);

$config_site = db::getRow("SELECT * FROM db_config WHERE id = '1' LIMIT 1");
?>

<link rel="stylesheet" href="/style/flipclock.css">
<script src="/js/jquery-1.11.0.min.js"></script>
<script src="/js/flipclock.min.js"></script>
<style>
    .vip {
        color: #aa920d;
        font-weight: bold;
    }
</style>

<script>



    var clock;
    var clockStarted = false;
    var timerData;
    var timerHistory;
    var bidFieldFocused = false;
    var lastMessageId = 0;

    String.prototype.trim=function(){return this.replace(/^\s+|\s+$/g, '');};
    RegExp.escape= function(s) {
        return s.replace(/[-\/\\^$*+?.()|[\]{}]/g, '\\$&');
    };
    new function($) {
        $.fn.setCursorPosition = function(pos) {
            if ($(this).get(0).setSelectionRange) {
                $(this).get(0).setSelectionRange(pos, pos);
            } else if ($(this).get(0).createTextRange) {
                var range = $(this).get(0).createTextRange();
                range.collapse(true);
                range.moveEnd('character', pos);
                range.moveStart('character', pos);
                range.select();
            }
        }
    }(jQuery);

    $(function() {
        // fill chat messages
        var chatBody = $('div#chatBody');
        var html = '';
        for(var i=1;i<=50;i++) {
            html += '<div id="chatMessage'+i+'" class="chatMessage">&nbsp;</div>';
        }
        chatBody.html(html);

        // Init clock
        clock = $('.your-clock').FlipClock({
            autoStart: false,
            clockFace: 'MinuteCounter'
        });
        clock.setTime(900);
        clock.setCountdown(true);

        getAuctionData();
        getAuctionHistory();
        getChat();
        setInterval('getAuctionData()', 2000);
        setInterval('getAuctionHistory()', 5000);
        setInterval('getChat()', 2000);

    });

    function getAuctionData() {
        var aucBank = $('td#bank');
        var aucBid = $('td#bid');
        var aucUser = $('td#user');
        var bidValue = $('input#bidValue');

        //clearTimeout(timerData);

        $.ajax({
            type: 'POST',
            url: '/_ajax.auction.php',
            dataType: 'json',
            data: {
                action: 'getData'
            }}).
            done(function( response ) {
                if (typeof response.error != 'undefined') {
                    alert(response.error);
                } else {
                    var min_bid = Math.max(response.min_bid, response.current_bid);
                    if (response.current_bank == null)
                        var add = 0;
                    else
                        var add = 1;

                    if (bidFieldFocused == false && (bidValue.val()-1) < min_bid)
                        bidValue.val(min_bid+add);

                    if (response.current_bank == null) {
                        aucBank.text('0');
                        aucBid.text('');
                        aucUser.text('');
                        clock.stop();
                        clock.setTime(response.duration);
                    } else {

                        var remain = response.duration - response.current_duration;
                        if (!clockStarted) {
                            clock.start();
                            clockStarted = true;
                        }

                        if (Math.abs(clock.getTime().time - remain) < 2) {
                            //console.log('Auction in process');
                        } else {
                            clock.setTime(remain);
                        }
                        aucBank.text(response.current_bank);
                        aucBid.text(response.current_bid);
                        aucUser.text(response.user);
                    }
                    //timerData = setTimeout('getAuctionData()', 5000);
                }

            });
    }

    function getAuctionHistory() {
        //clearTimeout(timerHistory);

        $.ajax({
            type: 'POST',
            url: '/_ajax.auction.php',
            dataType: 'json',
            data: {
                action: 'getHistory'
            }}).
            done(function( response ) {
                if (typeof response.error != 'undefined') {
                    alert(response.error);
                } else {
                    $('tr.historyItem').remove();
                    for(var i in response) {

                        var html = '<tr class="historyItem">';
                        html += '<td align="center">'+response[i].id+'</td>';
                        html += '<td align="center">'+response[i].winner+'</td>';
                        html += '<td align="center">'+response[i].bank+'</td>';
                        html += '<td align="center">'+response[i].ctime+'</td>';
                        html += '</tr>';

                        $('table#auctionHistory tr:last').after(html);
                        //timerHistory = setTimeout('getAuctionHistory()', 5000);
                    }

                }
            });
    }

    function setBid() {
        var bidValue = $('input#bidValue');
        $('input#makeBid').focus();

        $.ajax({
            type: 'POST',
            url: '/_ajax.auction.php',
            dataType: 'json',
            data: {
                action: 'bid',
                value: bidValue.val()
            }}).
            done(function( response ) {
                if (typeof response.error != 'undefined') {
                    alert(response.error);
                } else {
                    getAuctionData();
                }

            });
    }

    function getChat() {
        var chat = $('div#auctionChat');
        var chatBody = $('div#chatBody');
        $.ajax({
            type: 'POST',
            url: '/_ajax.auction.php',
            dataType: 'json',
            data: {
                action: 'getChat'
            }}).
            done(function( response ) {
                if (typeof response.error != 'undefined') {
                    alert(response.error);
                } else {
                    // remove old messages
                    //$('div.chatMessage').remove();
                    var html = '';
                    var maxMessageId = 0;
                    var index = 50;
                    for(var i in response) {
                        var chatMessageContainer = $('div#chatMessage'+index);

                        var html = '<b style="cursor:pointer" class="user">'+response[i].user+'</b>['+response[i].level+']';
                        html += ' ('+response[i].time_human+'): '+response[i].message;
                        chatMessageContainer.html(html);
                        if ( response[i].vip == 1)
                            chatMessageContainer.addClass('vip');
                        else
                            chatMessageContainer.removeClass('vip');

                        var id = parseInt(response[i].id)
                        if ( id > maxMessageId )
                            maxMessageId = id;
                        index--;
                    }
                    //chatBody.html(html);

                    setTimeout(function() {
                        if (lastMessageId < maxMessageId) {
                            chat.scrollTop(chat.prop('scrollHeight'));
                            lastMessageId = maxMessageId;
                        }
                    }, 100);

                }

            });
    }

    function chatSend() {
        var vipCheckbox = $('input#vip');
        var chatMessage = $('input#chatMessage');
        if (chatMessage.val().trim() == '')
            return;

        var vip = 0
        if (vipCheckbox.is(':checked')) vip = 1;

        $.ajax({
            type: 'POST',
            url: '/_ajax.auction.php',
            dataType: 'json',
            data: {
                action: 'chatSend',
                message: chatMessage.val(),
                vip: vip
            }}).
            done(function( response ) {
                if (typeof response.error != 'undefined') {
                    alert(response.error);
                } else {
                    chatMessage.val('');
                }
            });
    }

    $(document).on('click', 'input#makeBid', function() {
        setBid();
    });
    $(document).on('click', 'input#chatSend', function() {
        chatSend();
    });
    $(document).on('keypress', 'input#chatMessage', function(e) {
        var code = e.keyCode || e.which;
        if ( code == 13 ) chatSend();
    });

    $(document).on('focus', 'input#bidValue', function() {
        bidFieldFocused = true;
    });
    $(document).on('blur', 'input#bidValue', function() {
        bidFieldFocused = false;
    });
    $(document).on('click', 'input#bidValue', function() {
        bidFieldFocused = true;
    });
    $(document).on('keypress', 'input#bidValue', function(e) {
        var code = e.keyCode || e.which;
        if ( code == 13 ) setBid();
    });
    $(document).on('click', 'b.user', function() {
        $('input#chatMessage').val($(this).text()+', '+$('input#chatMessage').val());
        $('input#chatMessage').focus();
        $('input#chatMessage').setCursorPosition($('input#chatMessage').val().length);
    });
    $(document).on('click', 'img.smileyBtn', function() {
        $('input#chatMessage').val($('input#chatMessage').val()+$(this).attr('code'));
        $('input#chatMessage').focus();
        $('input#chatMessage').setCursorPosition($('input#chatMessage').val().length);
    });
    $(document).on('click', 'label#vipLabel', function() {
        var vipCheckbox = $('input#vip');
        var chatMessage = $('input#chatMessage');

        if (vipCheckbox.is(':checked') == false) {
            vipCheckbox.prop('checked', true);
            chatMessage.addClass('vip');
        } else {
            vipCheckbox.prop('checked', false);
            chatMessage.removeClass('vip');
        }
    });


</script>

<div class="s-bk-lf">
    <div class="acc-title"></div>
</div>

<div class="silver-bk">
<?php
$access = new access(10);
if ($access->checkBillet()) {
?>
    <p><center><img src="/img/auction-hammer-icon.png" width="130" height="120"><center><br>
      !
            1 .
          75%   .
        .
                ,
          .(     ).
    <font color="red">    .</font>
    </p>

    <style>
        .aucDigit {
            display: inline-block;
            border-radius: 5px;
            box-shadow: 0px 3px 4px 0px rgba(50, 50, 50, 0.8);
        }
    </style>

    <table width="300" border="0" style="border:0px solid green" align="center">
        <tbody><tr>
            <td style="padding:3px;"><b> :</b></td>
            <td bgcolor="#c7d0cc" style="padding:3px;" align="center" id="bank"><b>0</b></td>
        </tr>
        <tr>
            <td style="padding:3px;"><b> :</b></td>
            <td style="padding:3px;" align="center" id="bid"></td>
        </tr>
        <tr>
            <td style="padding:3px;"><b>:</b></td>
            <td style="padding:3px;" align="center" id="user"></td>
        </tr>
        <tr>
            <td style="padding:3px;"><b> :</b></td>
            <td style="padding:0px;text-align:center;" align="center" id="remainTime"><div class="your-clock" style="zoom: 0.3;"></div></td>
        </tr>
    </tbody></table>
    <br><br>
    <table width="300" border="0" style="border:0px solid green" align="center">
        <tbody><tr>
            <td style="padding:3px;"><b> :</b></td>
            <td style="padding:3px;" align="center"><input type="text" id="bidValue" value="" size="10"></td>
        </tr>
        <tr>
            <td style="padding:3px;" colspan="3" align="center"><input type="button" id="makeBid" value=""></td>
        </tr>
    </tbody></table>

    <br><br><center>  -1  VIP-5     . <center>
	<center>    , , .   . <center>
    <div id="auctionChatWrap" style="text-align: center;">
        <div id="auctionChat" style="display:inline-block;width:560px;height:160px;overflow-y:scroll; border:0px solid green; text-align: center;padding:3px;font-size:15px;">
            <div id="chatBody" style="text-align:left;">

            </div>
        </div>
        <div id="smileys">
        <?php
            $smileys = array(
                '=)' => 'smile',
                ':thumbs:' => 'THUMBS_UP',
                ':D' => 'laugh',
                ':dance:' => 'dance',
                ':(' => 'sadness',
                ':P' => 'tongue',
                'o_O' => 'wonder',
                'B-)' => 'dirol',
                'T_T' => 'cray',
                '\m/' => 'aggressive'
            );
            foreach($smileys as $code => $smiley) {
                echo '<img style="cursor:pointer;" class="smileyBtn" code="'.$code.'" src="/img/smileys/'.$smiley.'.gif"> ';
            }
        ?>
        </div>
        <input type="text" id="chatMessage" style="width:400px" maxlength="400">
        <input type="checkbox" id="vip"><label id="vipLabel" style="cursor: pointer; color: #aa920d; font-weight: bold;">VIP</label>
        <input style="width:70px" type="button" id="chatSend" value=""/>

        <!--<input style="width:70px;color:red;" type="button" id="chatSendVip" value="VIP"/>-->

    </div>

    <table id="auctionHistory" cellpadding="3" cellspacing="0" border="0" bordercolor="#336633" align="center" width="99%">
    <tbody><tr>
        <td colspan="5" align="center"><h4></h4></td>
    </tr>
    <tr>
        <th align="center" class="m-tb"> </th>
        <th align="center" class="m-tb"></th>
        <th align="center" class="m-tb"></th>
        <th align="center" class="m-tb"></th>
    </tr>

    </tbody></table>

	<?php } else {
	if (isset($_POST['buybillet'])) {
		if ($access->buyBillet() == false) {
			echo $access->getError();
		}
		else {
			echo '<p style="font-size: 18px; color: green;">    5 !     !</p>';
		}
	}
	else {
?>
<center>
	<b>   - <?php echo $access->getBilletPrice(); ?></b>
	<form action="" method="post">
		<input type="hidden" name="buybillet" value="1">
		<p><input value=" " type="submit"></p>
	</form>
</center>
<?php
	}
}
?>
	
    <div class="clr"></div>
</div>